Bug 1157712 - VUL-1: haproxy: Possibility of injecting LFs in H2-to-H1 transfers
VUL-1: haproxy: Possibility of injecting LFs in H2-to-H1 transfers
Status: RESOLVED FIXED
: CVE-2019-19330 (view as bug list)
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Peter Varkoly
Security Team bot
https://smash.suse.de/issue/247890/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-25 15:32 UTC by Johannes Segitz
Modified: 2021-04-19 09:25 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Upstream patches (80.00 KB, application/x-tar)
2019-11-25 15:32 UTC, Johannes Segitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2019-11-25 15:32:04 UTC
Created attachment 824912 [details]
Upstream patches

Extracted from a larger report:

First, while trying to see how to conditionally pass extra headers using
the '\n' trick, Tim Düsterhus figured that we don't properly block them
in H2, leading to the risk of injecting LFs in H2-to-H1 transfers and
possibly creating attacks this way.

Should become public this evening, setting CRD to tomorrow
CRD: 2019-11-26
Comment 4 Wolfgang Frisch 2019-11-28 11:49:51 UTC
*** Bug 1157978 has been marked as a duplicate of this bug. ***
Comment 5 Swamp Workflow Management 2019-11-29 20:12:19 UTC
SUSE-SU-2019:3126-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
SUSE Linux Enterprise High Availability 15-SP1 (src):    haproxy-2.0.10+git0.ac198b92-8.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-29 20:13:25 UTC
SUSE-SU-2019:3125-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
SUSE Linux Enterprise High Availability 15 (src):    haproxy-2.0.10+git0.ac198b92-3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-12-03 23:15:31 UTC
openSUSE-SU-2019:2626-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
openSUSE Leap 15.0 (src):    haproxy-2.0.10+git0.ac198b92-lp150.2.16.1
Comment 8 Swamp Workflow Management 2019-12-04 23:15:33 UTC
openSUSE-SU-2019:2645-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
openSUSE Leap 15.1 (src):    haproxy-2.0.10+git0.ac198b92-lp151.2.6.1
Comment 9 Marcus Meissner 2020-08-12 08:28:09 UTC
released